import { Ref } from '@vue/composition-api';
import { UnwrapRef } from '@vue/composition-api/dist/reactivity';
export declare function useSearchParams<T extends string>(parameters: T[], runOnMount?: boolean): {
    searchParams: Ref<{ [key in T]: any; } extends Ref<infer V> ? V : UnwrapRef<{ [key in T]: any; }>>;
    isTracking: Ref<boolean>;
    start: () => void;
    stop: () => void;
};
